{{!-- {{log "actions-block.hbs this" this}}
{{log "actions-block.hbs actor" actor}}
{{log "actions-block.hbs item" item}}
{{log "actions-block.hbs data" data}} 
{{log "actions-block.hbs actions" actions}} 
{{log "actions-block.hbs actionList" actionList}}
{{log "actions-block.hbs config" config}}  --}}
    <div class="action-sheet-block">
        {{#if actions.length}}
            {{#each actionList as |actionGroup actionGroupName|}}
{{!-- {{log "actions-block.hbs actionGroup" actionGroup}} 
{{log "actions-block.hbs actionGroupName" actionGroupName}}  --}}
            <div class="actionGroup action-list" >
                <div class="action">
                    <li class="flexrow" data-action-group="{{actionGroupName}}" data-sourceitem-id="{{../item.id}}"  data-source-uuid="{{actionGroup.source.uuid}}">
                        
                        <div class="flexrow action-groupname rollable actionCard-roll action-name">
                           <div class="action-image" style="background-image: url('{{actionGroup.img}}')">
                                {{!-- <img src="{{actionGroup.img}}" data-tooltip="{{actionGroupName}}" width="24" height="24" /> --}}
                           </div>
                           <div class="action-name text-trunc">
                                {{!-- {{#if ../item.type}}{{capfirst ../item.type}}:{{/if}} {{actionGroupName}} --}}
                                {{#if ../item.name}}{{../item.name}}:{{/if}} {{actionGroupName}}
                           </div>
                        </div>

                        <div class="action-control-buttons short-field">
                            <a class="action-controls action-toggle-view" data-action="toggle-view">
                                <i style="vertical-align: middle;"
                                class="fas {{#if (eq actionGroup.collapsedState 'none')}}fa-caret-right{{else}}fa-caret-down{{/if}}">
                                </i>                            
                            </a>
                        </div>                            

                        {{#if ../item}}
                            <div class="action-control-buttons short-field">
                                    <a class="action-controls action-view-source" data-tooltip="{{ localize "ARS.actions.viewsource" }}" data-action="view-source">
                                        <i class='fa fa-cog'></i>
                                    </a>
                            </div>
                        {{/if}}
                        <div class="action-control-buttons green short-field">
                            <a style="vertical-align: middle;" class="action-controls action-create" data-tooltip="{{ localize "ARS.actions.group.create" }}" data-action="create">
                                <i class="fas fa-plus"></i>
                            </a>
                        </div>
                    </li>
                </div>

                <div style="display: {{actionGroup.collapsedState}}">
                    {{#each actionGroup.actions as |action gindex|}}
                        {{!-- {{log "actions-block.hbs action===>" action}} --}}
                        <div class="action-header action-items">
                            <li class="flexrow reveal-hidden actionEntry" data-action-id="{{action.id}}" data-id="{{action.index}}" data-sourceitem-id="{{../../item.id}}">
                                {{!-- displace a little for collapse view --}}
                                <div style="flex: 0 0 24px"></div>

                                {{!-- General --}}
                                <div class="action-block-images">
                                    <img src="{{action.img}}" width="24" height="24" />
                                </div>
                                <div class="action-type">{{ capfirst action.type }}</div>

                                {{#if (eq action.type 'use') }}
                                <div class="action-type">Used {{ action.resource.count.value }}</div>
                                {{/if}}

                                {{#if (eq action.ability 'none') }}
                                {{else}}
                                    <div class="action-formula text-trunc">
                                        {{localize (concat "ARS.abilityTypes." action.ability) }}
                                    </div>
                                {{/if}}
                                {{#includes action.type 'melee||ranged'}}
                                    {{!-- <div class="empty-space-melee_ranged"></div> --}}
                                    {{!-- <div class="empty-space-melee_ranged"></div> --}}
                                {{/includes}}

                                {{#if action.formula}}
                                    <div class="action-formula text-trunc" >{{#if action.formulaEvaluated}} {{action.formulaEvaluated}}{{else}}{{action.formula}}{{/if}}</div>
                                {{/if}}

                                {{#if action.speed}}
                                    <div class="action-speed text-trunc"> Speed:{{action.speed}}</div>
                                {{/if}}


                                {{#if (eq action.type 'cast')}}
                                    {{#if action.targeting}}
                                        <div class="action-targeting text-trunc">Targeting:{{action.targeting}}</div>
                                    {{/if}}

                                    {{#if (eq action.successAction 'none')}}
                                    {{else}}
                                        <div class="action-successAction text-trunc">Success:{{action.successAction}}</div>
                                        {{!-- <div class="empty-space"></div> --}}
                                        {{!-- <div class="empty-space-cast"></div> --}}
                                    {{/if}}
                                {{/if}}

                                {{#if (eq action.type 'damage')}}
                                    <div class="action-damagetype text-trunc">Type:{{action.damagetype}}
                                    {{#each action.otherdmg as |otherdmg dmgindex|}}+[{{otherdmg.formula}}/{{otherdmg.type}}]{{/each}}
                                    </div>
                                {{/if}}
                                {{#if (eq action.type 'heal')}}
                                {{!-- <div class="empty-space-heal"></div> --}}
                                {{/if}}

                                {{!-- Action saveCheck --}}
                                {{#includes action.type 'cast||castmelee||castranged'}}
                                    {{#if (eq action.saveCheck.type 'none')}}
                                    {{else}}
                                        <div class="action-saveCheck-type text-trunc">Save:{{ localize (concat "ARS.saveTypes." action.saveCheck.type) }}</div>
                                        {{#if action.saveCheck.formula}}
                                            <div class="action-saveCheck-formula text-trunc">Formula:{{action.saveCheck.formula}}</div>
                                        {{/if}}
                                    {{/if}}
                                {{/includes}}

                                {{!-- Action abilityCheck --}}
                                {{#if (eq action.abilityCheck.type 'none')}}
                                {{else}}
                                    <div class="action-abilityCheck-type text-trunc">Ability:{{action.abilityCheck.type}}</div>
                                {{/if}}

                                {{#if action.abilityCheck.formula}}
                                    <div class="action-abilityCheck-formula text-trunc">Formula:{{action.abilityCheck.formula}}</div>
                                {{/if}}

                                {{!-- Action Effects --}}
                                {{#if (eq action.type 'effect')}}
                                    <div class="action-actionEffect-mode text-trunc">
                                        <label data-tooltip="{{#each action.effect.changes as |change i|}}[{{change.key}}/{{change.value}}]{{/each}}">{{action.effect.changes.0.key}}</label>
                                    </div>
                                {{/if}}

                                {{!-- Controls (delete/edit) --}}
                                <div class="action-control">
                                    {{#if (eq action.index 0)}}
                                    {{else}}
                                        {{#if (eq gindex 0)}}
                                        {{else}}
                                            <a class="item-control action-controls action-moveup hidden" data-tooltip="Move up in order" data-action="moveup"><i class="fas fa-arrow-up"></i></a>
                                        {{/if}}
                                    {{/if}}

                                    {{#if (eq actionGroup.length (sum gindex 1) )}}
                                    {{else}}
                                        {{#if (eq ../../actions.length (sum action.index 1) )}}
                                        {{else}}
                                            <a class="item-control action-controls action-movedown hidden" data-tooltip="Move down in order" data-action="movedown"><i class="fas fa-arrow-down"></i></a>
                                        {{/if}}
                                    {{/if}}

                                    <a class="item-control action-controls action-edit hidden" data-tooltip="Edit Item" data-action="edit"><i class="fas fa-edit"></i></a>
                                    <a class="item-control action-controls action-delete hidden" data-action="delete" data-tooltip="Delete Item"><i class="fas fa-trash"></i></a>

                                </div>
                            </li>
                        </div>
                    {{/each}}
                </div>
            </div>
            {{/each}}
        {{else}}
            {{#if hasActions}}
            {{else}}
                <div align="center" data-tooltip="Drop items with actions here to copy it's actions or click the + to create your own"><i>...{{localize "ARS.empty"}}...</i></div>
            {{/if}}
        {{/if}}

    </div>

    {{!-- </div>
</div> --}}
